For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
            • GETList Price Lists
            • POSTCreate Price List
            • DELDelete All Price Lists
            • GETGet Price List
            • PUTUpdate Price List
            • DELDelete Price List
              • POSTCreate Batch of Price Lists Records
              • PUTCreate or Update Batch of Price Lists Records
              • GETList Price List Records
              • POSTCreate Price List Records
              • PUTUpsert Price List Records
              • DELDelete Price List Record
              • GETList Price Records by Variant
              • GETGet Price Record by Currency Code
              • PUTSet Price List Record by Currency Code
              • DELDelete Price Record by Currency Code
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementPrice ListsPrice Lists Records

Get Price Record by Currency Code

GET
https://api.bigcommerce.com/stores/:store_hash/v3/pricelists/:price_list_id/records/:variant_id/:currency_code
GET
/stores/:store_hash/v3/pricelists/:price_list_id/records/:variant_id/:currency_code
$curl https://api.bigcommerce.com/stores/store_hash/v3/pricelists/1/records/1/currency_code \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
1{
2 "data": {
3 "calculated_price": 22.544,
4 "date_created": "2022-09-18T13:18:15Z",
5 "date_modified": "2022-09-18T13:18:15Z",
6 "product_id": 185,
7 "price_list_id": 4,
8 "variant_id": 356,
9 "currency": "eur",
10 "price": 22.544,
11 "sale_price": 22.544,
12 "retail_price": 22.544,
13 "map_price": 22.544
14 }
15}
Returns a *Price List Record* using the currency code. You can use optional parameters. **Notes** * Supports up to 50 simultaneous GET requests. Running more than the allowed number of requests concurrently on the same store will result in a `429` status error, and your additional requests will fail.
Was this page helpful?
Previous

List Price Records by Variant

Next

Set Price List Record by Currency Code

Built with

Returns a Price List Record using the currency code. You can use optional parameters. Notes

  • Supports up to 50 simultaneous GET requests. Running more than the allowed number of requests concurrently on the same store will result in a 429 status error, and your additional requests will fail.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

price_list_idintegerRequired

The ID of the Price List requested.

variant_idintegerRequired
ID of the variant on a product, or on an associated Price List Record.
currency_codestringRequiredformat: "ISO-4217"
The currency code associated with the price record being acted upon.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

includelist of enumsOptional

Sub-resources to include on a price record, in a comma-separated list. Valid expansions currently include bulk_pricing_tiers and sku. Other values will be ignored.

Allowed values:

Response

dataobject
The Price Record object.
metaobject
Response metadata.

Errors

429
Too Many Requests Error

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.